/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.UsuarioSesionDAO;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.entidad.UsuarioSesion;
import com.rjconsultores.ventaboletos.service.UsuarioSesionService;

/**
 *
 * @author RJ Consultores
 */
@Service("usuarioSesionService")
public class UsuarioSesionImpl implements UsuarioSesionService {

    @Autowired
    private UsuarioSesionDAO usuarioSesionDAO;

    public List<UsuarioSesion> obtenerTodos() {
        return usuarioSesionDAO.obtenerTodos();
    }

    public UsuarioSesion obtenerID(Integer id) {
        return usuarioSesionDAO.obtenerID(id);
    }

    @Transactional
    public UsuarioSesion suscribir(UsuarioSesion entidad) {
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioSesionDAO.suscribir(entidad);
    }

    @Transactional
    public UsuarioSesion actualizacion(UsuarioSesion entidad) {
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioSesionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(UsuarioSesion entidad) {
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        usuarioSesionDAO.actualizacion(entidad);
    }

	@Override
	public List<UsuarioSesion> buscar(Usuario usuario) {
		return usuarioSesionDAO.buscar(usuario);
	}

	@Transactional
	@Override
	public void liberarUsuario(Usuario usuario) {
		usuarioSesionDAO.liberarUsuario(usuario);
		
	}
}
